<div class="qrocm-solution-panel rounded-panel">
  <div class="rounded-panel__row correction-qrocm__text">
    {{#each this.blocks as |block|}}
      {{#if block.text}}
        <MarkdownToHtmlUnsafe
          @markdown={{block.text}}
          @extensions="remove-paragraph-tags"
          class="correction-qrocm-text__label"
        />
      {{/if}}

      {{#if block.input}}
        {{#if (eq @challenge.format "paragraphe")}}
          <textarea
            class="correction-qrocm__answer correction-qrocm__answer--paragraph {{block.inputClass}}"
            rows="5"
            value="{{block.answer}}"
            id="{{block.input}}"
            disabled
          >
          </textarea>
        {{else if (eq @challenge.format "phrase")}}
          <input
            value="{{block.answer}}"
            class="correction-qrocm__answer correction-qrocm__answer--sentence {{block.inputClass}}"
            id="{{block.input}}"
            disabled
          />
        {{else}}
          <div class="correction-qrocm__answer-wrapper">
            <input
              value="{{block.answer}}"
              size="{{block.answer.length}}"
              class="correction-qrocm__answer correction-qrocm__answer--input {{block.inputClass}}"
              id="{{block.input}}"
              disabled
            />
          </div>
        {{/if}}
      {{/if}}

      {{#if block.breakline}}
        <br />
      {{/if}}
    {{/each}}
    {{#unless this.answerIsCorrect}}
      <div class="comparison-window-solution">
        <span class="sr-only">{{t "pages.comparison-window.results.a11y.the-answer-was"}}</span>
        <div class="correction-qrocm__solution-text">{{this.understandableSolution}}</div>
      </div>
    {{/unless}}
  </div>
</div>